Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Interface JDBCFieldBridge

All Superinterfaces:
  FieldBridge

All Known Subinterfaces:
  JDBCCMPFieldBridge

All Known Implementing Classes:
  JDBCAbstractCMPFieldBridge, JDBCAbstractCMRFieldBridge, JDBCCMPFieldBridge2

public interface JDBCFieldBridge
extends FieldBridge

Author:
  Alex Loubyansky and others

Method Summary
`Object` | `getInstanceValue(EntityEnterpriseContext ctx)` Gets the internal value of this field without user level checks.
`JDBCType` | `getJDBCType()` Gets the JDBC type of this field.
`JDBCEntityPersistenceStore` | `getManager()`
`Object` | `getPrimaryKeyValue(Object arg)`
`void` | `initInstance(EntityEnterpriseContext ctx)` Set CMPFieldValue to Java default value (i.e., 0 or null).
`boolean` | `isCMPField()`
`boolean` | `isDirty(EntityEnterpriseContext ctx)` Has the value of this field changes since the last time clean was called.
`boolean` | `isLoaded(EntityEnterpriseContext ctx)` Has the data been loaded?
`boolean` | `isPrimaryKeyMember()` Is this field a member of the primary key.
`boolean` | `isReadOnly()` Is this field read only.
`boolean` | `isReadTimedOut(EntityEnterpriseContext ctx)` Has current data read timed out?
`int` | `loadArgumentResults(ResultSet rs, int parameterIndex, Object[] argumentRef)` Loads the value of this cmp field from result set into argument referance.
`int` | `loadInstanceResults(ResultSet rs, int parameterIndex, EntityEnterpriseContext ctx)` Loads the data from result set into the instance associated with the specified context.
`void` | `resetPersistenceContext(EntityEnterpriseContext ctx)` Resets any persistence data maintained in the context.
`void` | `setClean(EntityEnterpriseContext ctx)` Mark this field as clean.
`int` | `setInstanceParameters(PreparedStatement ps, int parameterIndex, EntityEnterpriseContext ctx)` Sets the prepared statement parameters with the data from the instance associated with the context.
`void` | `setInstanceValue(EntityEnterpriseContext ctx, Object value)` Sets the internal value of this field without user level checks.

Methods inherited from interface org.jboss.ejb.plugins.cmp.bridge.FieldBridge
`getFieldName, getValue, setValue`

Method Detail

### getJDBCType

    public JDBCType getJDBCType()

  Gets the JDBC type of this field.

### isPrimaryKeyMember

    public boolean isPrimaryKeyMember()

  Is this field a member of the primary key.

  Returns:
    true if this field is a member of the primary key

### isReadOnly

    public boolean isReadOnly()

  Is this field read only.

  Returns:
    true if this field is read only

### isReadTimedOut

    public boolean isReadTimedOut(EntityEnterpriseContext ctx)

  Has current data read timed out?

### isLoaded

    public boolean isLoaded(EntityEnterpriseContext ctx)

  Has the data been loaded?

### initInstance

    public void initInstance(EntityEnterpriseContext ctx)

  Set CMPFieldValue to Java default value (i.e., 0 or null).

### resetPersistenceContext

    public void resetPersistenceContext(EntityEnterpriseContext ctx)

  Resets any persistence data maintained in the context.

### setInstanceParameters

    public int setInstanceParameters(PreparedStatement ps,
                                     int parameterIndex,
                                     EntityEnterpriseContext ctx)

  Sets the prepared statement parameters with the data from the instance associated with the context.

### getInstanceValue

    public Object getInstanceValue(EntityEnterpriseContext ctx)

  Gets the internal value of this field without user level checks.

  Parameters:
    `ctx` - the context for which this field's value should be fetched
  Returns:
    the value of this field

### setInstanceValue

    public void setInstanceValue(EntityEnterpriseContext ctx,
                                 Object value)

  Sets the internal value of this field without user level checks.

  Parameters:
    `ctx` - the context for which this field's value should be set
    `value` - the new value of this field

### loadInstanceResults

    public int loadInstanceResults(ResultSet rs,
                                   int parameterIndex,
                                   EntityEnterpriseContext ctx)

  Loads the data from result set into the instance associated with the specified context.

### loadArgumentResults

    public int loadArgumentResults(ResultSet rs,
                                   int parameterIndex,
                                   Object[] argumentRef)

  Loads the value of this cmp field from result set into argument referance.

### isDirty

    public boolean isDirty(EntityEnterpriseContext ctx)

  Has the value of this field changes since the last time clean was called.

### setClean

    public void setClean(EntityEnterpriseContext ctx)

  Mark this field as clean.

### isCMPField

    public boolean isCMPField()

### getManager

    public JDBCEntityPersistenceStore getManager()

### getPrimaryKeyValue

    public Object getPrimaryKeyValue(Object arg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.